	COMMON /_iob_/
.2:
	DS 0
	CSEG
	COMMON /sctparm_/
.3:
	DS 8
	CSEG
	COMMON /errno_/
.4:
	DS 2
	CSEG
	COMMON /Sysvec_/
.5:
	DS 2
	CSEG
	PUBLIC alloc_
alloc_:	CALL .zsav##
	DW .6
	DSEG
.7:
	DW 0
	CSEG
	DSEG
.8:
	DW 0
	CSEG
	LHLD .8
	MOV A,H
	ORA L
	JNZ .9
	LXI H,0
	PUSH H
	FUNC	settop_
	CALL settop_
	POP D
	SHLD .7
	SHLD .8
.9:
	LHLD .8
	MOV B,H
	MOV C,L
	LXI H,12-.6
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LHLD .8
	DAD D
	SHLD .8
.10:
	LHLD .8
	XCHG
	LHLD .7
	CALL .uf##
	JZ .11
	LXI H,512
	PUSH H
	FUNC	settop_
	CALL settop_
	POP D
	JNZ .12
	LXI H,0
	RET
.12:
	LXI H,512
	XCHG
	LHLD .7
	DAD D
	SHLD .7
	JMP .10
.11:
	MOV H,B
	MOV L,C
	RET
.6 EQU 0
	PUBLIC atof_
atof_:	CALL .zsav##
	DW .13
	LXI H,12-.13
	DAD SP
	MOV C,M
	INX H
	MOV B,M
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,45
	CALL .eq##
	JZ .14
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	LXI H,1
	XCHG
	LXI H,-5-.13
	DAD SP
	MOV M,E
	JMP .15
.14:
	LXI H,0
	XCHG
	LXI H,-5-.13
	DAD SP
	MOV M,E
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,43
	CALL .eq##
	JZ .16
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
.16:
.15:
	LXI H,0
	XCHG
	LXI H,-11-.13
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,-7-.13
	DAD SP
	MOV M,E
	LXI H,-4-.13
	DAD SP
	PUSH H
	call .dlip##
	DB 00H,00H,00H,00H,00H,00H,00H,00H
	POP H
	CALL .dst##
	JMP .18
.17:
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
.18:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	isdigit_
	CALL isdigit_
	POP D
	JZ .20
	LXI H,-4-.13
	DAD SP
	PUSH H
	call .dlip##
	DB 041H,0AH,00H,00H,00H,00H,00H,00H
	CALL .dswap##
	POP H
	PUSH H
	CALL .dldp##
	CALL .dml##
	POP H
	CALL .dst##
	LXI H,-4-.13
	DAD SP
	PUSH H
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,-48
	DAD D
	CALL .itod##
	CALL .dswap##
	POP H
	PUSH H
	CALL .dldp##
	CALL .dad##
	POP H
	CALL .dst##
	LXI H,-7-.13
	DAD SP
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JZ .21
	LXI H,-11-.13
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
.21:
	JMP .22
.20:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,46
	CALL .eq##
	JZ .23
	LXI H,-7-.13
	DAD SP
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JNZ .19
	LXI H,1
	XCHG
	LXI H,-7-.13
	DAD SP
	MOV M,E
	JMP .24
.23:
	JMP .19
.24:
.22:
	JMP .17
.19:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,101
	CALL .eq##
	JNZ .26
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,69
	CALL .eq##
	JZ .25
.26:
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,45
	CALL .eq##
	JZ .27
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	LXI H,1
	XCHG
	LXI H,-6-.13
	DAD SP
	MOV M,E
	JMP .28
.27:
	LXI H,0
	XCHG
	LXI H,-6-.13
	DAD SP
	MOV M,E
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,43
	CALL .eq##
	JZ .29
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
.29:
.28:
	LXI H,0
	XCHG
	LXI H,-9-.13
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .31
.30:
	LXI H,-9-.13
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,10
	CALL .ml##
	PUSH H
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	DCX H
	MOV E,M
	MVI D,0
	POP H
	DAD D
	LXI D,-48
	DAD D
	XCHG
	LXI H,-9-.13
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.31:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	isdigit_
	CALL isdigit_
	POP D
	JZ .32
	JMP .30
.32:
	LXI H,-6-.13
	DAD SP
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JZ .33
	LXI H,-9-.13
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	CALL .ng##
	XCHG
	LXI H,-9-.13
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.33:
	LXI H,-9-.13
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-11-.13
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DAD D
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
.25:
	LXI H,-11-.13
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,0
	CALL .lt##
	JZ .34
.35:
	LXI H,-11-.13
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
	MOV A,H
	ORA L
	JZ .36
	LXI H,-4-.13
	DAD SP
	PUSH H
	call .dlip##
	DB 041H,0AH,00H,00H,00H,00H,00H,00H
	CALL .dswap##
	POP H
	PUSH H
	CALL .dldp##
	CALL .ddv##
	POP H
	CALL .dst##
	JMP .35
.36:
	JMP .37
.34:
	LXI H,-11-.13
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,0
	CALL .gt##
	JZ .38
.39:
	LXI H,-11-.13
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	INX H
	MOV A,H
	ORA L
	JZ .40
	LXI H,-4-.13
	DAD SP
	PUSH H
	call .dlip##
	DB 041H,0AH,00H,00H,00H,00H,00H,00H
	CALL .dswap##
	POP H
	PUSH H
	CALL .dldp##
	CALL .dml##
	POP H
	CALL .dst##
	JMP .39
.40:
.38:
.37:
	LXI H,-5-.13
	DAD SP
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JZ .41
	LXI H,-4-.13
	DAD SP
	PUSH H
	LXI H,-2-.13
	DAD SP
	CALL .dldp##
	CALL .dng##
	POP H
	CALL .dst##
.41:
	LXI H,-4-.13
	DAD SP
	CALL .dldp##
	XCHG
	RET
.13 EQU -15
	PUBLIC atoi_
atoi_:	CALL .zsav##
	DW .42
	LXI H,12-.42
	DAD SP
	MOV C,M
	INX H
	MOV B,M
	LXI H,0
	PUSH H
	db 253,225
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,45
	CALL .eq##
	JZ .43
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	LXI H,1
	PUSH H
	db 253,225
	JMP .44
.43:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,43
	CALL .eq##
	JZ .45
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
.45:
.44:
	LXI H,0
	PUSH H
	db 221,225
.46:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	isdigit_
	CALL isdigit_
	POP D
	JZ .47
	db 221,229
	POP H
	LXI D,10
	CALL .ml##
	PUSH H
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	DCX H
	MOV E,M
	MVI D,0
	POP H
	DAD D
	LXI D,-48
	DAD D
	PUSH H
	db 221,225
	JMP .46
.47:
	db 253,229
	POP H
	MOV A,H
	ORA L
	JZ .48
	db 221,229
	POP H
	CALL .ng##
	JMP .49
.48:
	db 221,229
	POP H
.49:
	RET
.42 EQU 0
	PUBLIC atol_
atol_:	CALL .zsav##
	DW .50
	LXI H,12-.50
	DAD SP
	MOV C,M
	INX H
	MOV B,M
	LXI H,0
	PUSH H
	db 221,225
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,45
	CALL .eq##
	JZ .51
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	LXI H,1
	PUSH H
	db 221,225
	JMP .52
.51:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	LXI H,43
	CALL .eq##
	JZ .53
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
.53:
.52:
	LXI H,0-.50
	DAD SP
	PUSH H
	call .llip##
	DW 00H,00H
	POP H
	CALL .lst##
.54:
	mov h,b
	mov l,c
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	isdigit_
	CALL isdigit_
	POP D
	JZ .55
	LXI H,0-.50
	DAD SP
	PUSH H
	LXI H,2-.50
	DAD SP
	CALL .lldp##
	call .llis##
	DW 0AH,00H
	CALL .lml##
	CALL .lpsh##
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	DCX H
	MOV E,M
	MVI D,0
	XCHG
	CALL .itox##
	CALL .lpop##
	CALL .lad##
	call .llis##
	DW 0FFD0H,0FFFFH
	CALL .lad##
	POP H
	CALL .lst##
	JMP .54
.55:
	db 221,229
	POP H
	MOV A,H
	ORA L
	JZ .56
	LXI H,0-.50
	DAD SP
	CALL .lldp##
	CALL .lng##
	XCHG
	JMP .57
.56:
	LXI H,0-.50
	DAD SP
	CALL .lldp##
	XCHG
.57:
	RET
.50 EQU -4
	DSEG
.58:
	DS 2
	CSEG
	DSEG
.59:
	DS 128
	CSEG
	DSEG
.60:
	DS 2
	CSEG
	PUBLIC Croot_
Croot_:	CALL .zsav##
	DW .61
	LXI H,.1+0
	SHLD .58
	LXI H,128
	PUSH H
	db 221,225
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	db 253,225
	LXI H,.59
	MOV B,H
	MOV C,L
	LXI H,1
	SHLD .60
	JMP .63
.62:
	LHLD .60
	INX H
	SHLD .60
.63:
.65:
	db 253,229
	POP H
	MOV A,H
	ORA L
	JZ .66
	db 221
	mov l,m
	db 0
	mvi h,0
	LXI D,32
	CALL .eq##
	JNZ .67
	db 221
	mov l,m
	db 0
	mvi h,0
	LXI D,9
	CALL .eq##
	JZ .66
.67:
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	db 253,229
	POP H
	DCX H
	PUSH H
	db 253,225
	JMP .65
.66:
	db 253,229
	POP H
	LXI D,0
	XCHG
	CALL .le##
	JNZ .64
	MOV H,B
	MOV L,C
	PUSH H
	LHLD .60
	DAD H
	LXI D,.58
	DAD D
	POP D
	MOV M,E
	INX H
	MOV M,D
.68:
	db 253,229
	POP H
	MOV A,H
	ORA L
	JZ .69
	db 221
	mov l,m
	db 0
	mvi h,0
	LXI D,32
	CALL .ne##
	JZ .69
	db 221
	mov l,m
	db 0
	mvi h,0
	LXI D,9
	CALL .ne##
	JZ .69
	db 253,229
	POP H
	DCX H
	PUSH H
	db 253,225
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	DCX H
	POP D
	MOV M,E
	JMP .68
.69:
	LXI H,0
	PUSH H
	MOV H,B
	MOV L,C
	INX H
	MOV B,H
	MOV C,L
	DCX H
	POP D
	MOV M,E
	JMP .62
.64:
	LXI H,.58
	PUSH H
	LHLD .60
	PUSH H
	FUNC	main_
	CALL main_
	POP D
	POP D
	PUSH H
	FUNC	exit_
	CALL exit_
	POP D
	RET
.61 EQU 0
.1:
	DB 0
	PUBLIC exit_
exit_:	CALL .zsav##
	DW .71
	FUNC	closall__
	CALL closall__
	LXI H,12-.71
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	MOV A,D
	ORA E
	JZ .72
	LXI H,.70+0
	PUSH H
	FUNC	unlink_
	CALL unlink_
	POP D
.72:
	FUNC	boot__
	CALL boot__
	RET
.71 EQU 0
.70:
	DB 65,58,36,36,36,46,83,85,66,0
	DSEG
.74:
	DS 2
	CSEG
	PUBLIC sprintf_
sprintf_:	CALL .zsav##
	DW .75
	LXI H,12-.75
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	SHLD .74
	LXI H,16-.75
	DAD SP
	PUSH H
	LXI H,16-.75
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	spsub_
	LXI H,spsub_
	PUSH H
	FUNC	format_
	CALL format_
	POP D
	POP D
	POP D
	LXI H,0
	PUSH H
	LHLD .74
	POP D
	MOV M,E
	RET
.75 EQU 0
spsub_:	CALL .zsav##
	DW .76
	LXI H,12-.76
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LHLD .74
	INX H
	SHLD .74
	DCX H
	POP D
	MOV M,E
	LXI H,255
	CALL .an##
	RET
.76 EQU 0
	PUBLIC format_
format_:	CALL .zsav##
	DW .77
	LXI H,12-.77
	DAD SP
	MOV C,M
	INX H
	MOV B,M
	LXI H,14-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	db 221,225
.78:
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	db 253,225
	MOV A,D
	ORA E
	JZ .79
	db 253,229
	POP H
	LXI D,37
	CALL .eq##
	JZ .80
	LXI H,0
	XCHG
	LXI H,-38-.77
	DAD SP
	MOV M,E
	LXI H,1
	XCHG
	LXI H,2-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,32
	XCHG
	LXI H,0-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,32767
	XCHG
	LXI H,-2-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	db 221
	mov l,m
	db 0
	mvi h,0
	PUSH H
	db 253,225
	LXI D,45
	CALL .eq##
	JZ .81
	LXI H,0
	XCHG
	LXI H,2-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	db 253,225
.81:
	db 253,229
	POP H
	LXI D,48
	CALL .eq##
	JZ .82
	LXI H,48
	XCHG
	LXI H,0-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.82:
	LXI H,0
	XCHG
	LXI H,-4-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.83:
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	db 253,225
	LXI H,48
	CALL .ge##
	JZ .84
	db 253,229
	POP H
	LXI D,57
	XCHG
	CALL .le##
	JZ .84
	LXI H,-4-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,10
	CALL .ml##
	db 253,229
	POP D
	DAD D
	LXI D,-48
	DAD D
	XCHG
	LXI H,-4-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .83
.84:
	db 253,229
	POP H
	LXI D,46
	CALL .eq##
	JZ .85
	LXI H,0
	XCHG
	LXI H,-2-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.86:
	db 221,229
	POP H
	INX H
	PUSH H
	db 221,225
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	db 253,225
	LXI H,48
	CALL .ge##
	JZ .87
	db 253,229
	POP H
	LXI D,57
	XCHG
	CALL .le##
	JZ .87
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,10
	CALL .ml##
	db 253,229
	POP D
	DAD D
	LXI D,-48
	DAD D
	XCHG
	LXI H,-2-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .86
.87:
.85:
	LXI H,16-.77
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
	DCX H
	MOV E,M
	INX H
	MOV D,M
	LXI H,-6-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	db 253,229
	POP H
	JMP .88
.90:
	LXI H,-38-.77
	DAD SP
	PUSH H
	LXI H,8
	PUSH H
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	uconvert_
	CALL uconvert_
	POP D
	POP D
	POP D
	XCHG
	LXI H,-12-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .89
.91:
	LXI H,-6-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,0
	CALL .lt##
	JZ .92
	LXI H,-38-.77
	DAD SP
	PUSH H
	LXI H,10
	PUSH H
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	CALL .ng##
	PUSH H
	FUNC	convert_
	CALL convert_
	POP D
	POP D
	POP D
	XCHG
	LXI H,-12-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,45
	PUSH H
	LXI H,-10-.77
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	POP D
	MOV M,E
	JMP .93
.92:
	LXI H,-38-.77
	DAD SP
	PUSH H
	LXI H,10
	PUSH H
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	convert_
	CALL convert_
	POP D
	POP D
	POP D
	XCHG
	LXI H,-12-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.93:
	JMP .89
.94:
	LXI H,-38-.77
	DAD SP
	PUSH H
	LXI H,10
	PUSH H
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	uconvert_
	CALL uconvert_
	POP D
	POP D
	POP D
	XCHG
	LXI H,-12-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .89
.95:
	LXI H,-38-.77
	DAD SP
	PUSH H
	LXI H,16
	PUSH H
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	uconvert_
	CALL uconvert_
	POP D
	POP D
	POP D
	XCHG
	LXI H,-12-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .89
.96:
	LXI H,-6-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-12-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	PUSH D
	FUNC	strlen_
	CALL strlen_
	POP D
	XCHG
	LXI H,-8-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .97
.98:
	LXI H,-6-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	db 253,225
.99:
	db 253,229
	POP H
	PUSH H
	LXI H,-37-.77
	DAD SP
	XCHG
	LXI H,-10-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	XCHG
	POP D
	MOV M,E
	JMP .89
.88:
	CALL .swt##
	DW 6
	DW 111,.90
	DW 100,.91
	DW 117,.94
	DW 120,.95
	DW 115,.96
	DW 99,.98
	DW .99
.89:
	LXI H,-38-.77
	DAD SP
	XCHG
	LXI H,-12-.77
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .sb##
	XCHG
	LXI H,-8-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.97:
	LXI H,-8-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-2-.77
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .gt##
	JZ .100
	LXI H,-2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-8-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.100:
	LXI H,2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	MOV A,D
	ORA E
	JZ .101
.102:
	LXI H,-4-.77
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	INX H
	XCHG
	LXI H,-8-.77
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .gt##
	JZ .103
	LXI H,0-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	MOV H,B
	MOV L,C
	CALL .chl##
	POP D
	JMP .102
.103:
.101:
	LXI H,0
	XCHG
	LXI H,-10-.77
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .105
.104:
	LXI H,-10-.77
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
.105:
	LXI H,-12-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JZ .106
	LXI H,-10-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-2-.77
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .lt##
	JZ .106
	LXI H,-12-.77
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
	MOV E,M
	MVI D,0
	PUSH D
	MOV H,B
	MOV L,C
	CALL .chl##
	POP D
	JMP .104
.106:
	LXI H,2-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	MOV A,D
	ORA E
	JNZ .107
.108:
	LXI H,-4-.77
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	INX H
	XCHG
	LXI H,-8-.77
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .gt##
	JZ .109
	LXI H,32
	PUSH H
	MOV H,B
	MOV L,C
	CALL .chl##
	POP D
	JMP .108
.109:
.107:
	JMP .110
.80:
	db 253,229
	MOV H,B
	MOV L,C
	CALL .chl##
	POP D
.110:
	JMP .78
.79:
	RET
.77 EQU -56
	DSEG
.111:
	DB 48
	DB 49
	DB 50
	DB 51
	DB 52
	DB 53
	DB 54
	DB 55
	DB 56
	DB 57
	DB 97
	DB 98
	DB 99
	DB 100
	DB 101
	DB 102
	DB 0
	CSEG
convert_:	CALL .zsav##
	DW .112
	LXI H,12-.112
	DAD SP
	MOV C,M
	INX H
	MOV B,M
	LXI H,14-.112
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	db 221,225
	LXI H,16-.112
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	db 253,225
.115:
	MOV H,B
	MOV L,C
	db 221,229
	POP D
	XCHG
	CALL .um##
	LXI D,.111
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	db 253,229
	POP H
	DCX H
	PUSH H
	db 253,225
	POP D
	MOV M,E
.113:
	db 221,229
	POP H
	MOV D,B
	MOV E,C
	CALL .ud##
	MOV B,H
	MOV C,L
	JNZ .115
.114:
	db 253,229
	POP H
	RET
.112 EQU 0
	PUBLIC main_
main_:	CALL .zsav##
	DW .116
	LXI H,.73+0
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	RET
.116 EQU 0
.73:
	DB 68,105,101,115,32,105,115,116,32,101,105,110,32,84,101
	DB 115,116,10,0
	END
